// Mixins

@mixin list-group-item-variant($state, $background, $color) {
    .list-group-item-#{$state} {
      color: $color;
      background-color: $background;
  
      &.list-group-item-action {
        @include hover-focus() {
          color: $color;
          background-color: darken($background, 5%);
        }
  
        &.active {
          color: $white;
          background-color: $color;
          border-color: $color;
        }
      }
    }
  }

// Unstyled keeps list items block level, just removes default browser padding and list-style
@mixin list-unstyled() {
  padding-left: 0;
  list-style: none;
}